services:
  app:
    image: ${DOCKER_REGISTRY}/${DOCKER_USER}/${DOCKER_IMAGE}:latest
    restart: unless-stopped
    env_file: .env
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.card-forge.rule=Host(`cardforge.orebolt.cz`)"
      - "traefik.http.routers.card-forge.tls.certresolver=leresolver"
      - "traefik.http.routers.card-forge.entrypoints=websecure"
      - "traefik.http.services.card-forge.loadbalancer.server.port=3000"
      - "traefik.http.routers.card-forge.middlewares=hsts"
